corda / net.corda.contracts.asset / Obligation / Clauses / Group

# Group

`class Group<P> : GroupClauseVerifier<State<P>, Commands, Issued<Terms<P>>>`

Parent clause for clauses that operate on grouped states (those which are fungible).

### Constructors

<init> | `Group()` Parent clause for clauses that operate on grouped states (those which are fungible).

### Inherited Properties

clause | `val clause: Clause<S, C, K>`

### Functions

groupStates | `fun groupStates(tx: TransactionForContract): List<InOutGroup<State<P>, Issued<Terms<P>>>>`